%global pypi_name monotonic

Summary:        An implementation of time.monotonic() for Python
Name:           python-%{pypi_name}
Version:        1.6
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/atdt/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This module provides a ``monotonic()`` function which returns the value (in fractional seconds) of a
clock which never goes backwards.

On Python 3.3 or newer, ``monotonic`` will be an alias of ``time.monotonic`` from the standard
library. On older versions, it will fall back to an equivalent platform specific implementation.

%package -n python3-%{pypi_name}
Summary:        An implementation of time.monotonic() for Python
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name}
This module provides a ``monotonic()`` function which returns the value (in fractional seconds) of a
clock which never goes backwards.

On Python 3.3 or newer, ``monotonic`` will be an alias of ``time.monotonic`` from the standard
library. On older versions, it will fall back to an equivalent platform specific implementation.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitelib}/__pycache__/%{pypi_name}.*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Shuo Wang <abushwang@tencent.com> - 1.6-1
- initial build
